Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(133)

Issue 2229703004: Keep formatting tags included when it is cut or copied. (Closed)

Created:
1 year, 4 months ago by joone
Modified:
1 year, 4 months ago
Reviewers:
yosin_UTC9
CC:
blink-reviews, blink-reviews-style_chromium.org, chromium-reviews
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Keep formatting tags included when it is cut or copied. When we copy/cut a formatting tag without the highest node. the formatting tag's text can be wrapped by <span> tag instead of the formatting tag. This CL allows to keep formatting tags included when it is cut or copied. BUG=634482 TEST=editing/pasteboard/cut-paste-formatting-tag.html Committed: https://crrev.com/f77d0eaedb2787483c147b973bcf7e7de82bf0f3 Cr-Commit-Position: refs/heads/master@{#411883}

Patch Set 1 #

Patch Set 2 : updated code #

Patch Set 3 : fix test fails #

Total comments: 5

Patch Set 4 : remove editor variable in test case #

Unified diffs Side-by-side diffs Delta from patch set Stats (+41 lines, -11 lines) Patch
A third_party/WebKit/LayoutTests/editing/pasteboard/cut-paste-formatting-tag.html View 1 2 3 1 chunk +16 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/editing/EditingUtilities.h View 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/core/editing/EditingUtilities.cpp View 1 2 3 1 chunk +10 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/editing/serializers/Serialization.cpp View 1 chunk +0 lines, -10 lines 0 comments Download
M third_party/WebKit/Source/core/editing/serializers/StyledMarkupSerializer.cpp View 1 2 2 chunks +14 lines, -1 line 0 comments Download

Messages

Total messages: 35 (28 generated)
joone
Hi yosin@ could you review this CL? https://codereview.chromium.org/2229703004/diff/60001/third_party/WebKit/LayoutTests/editing/pasteboard/cut-paste-formatting-tag.html File third_party/WebKit/LayoutTests/editing/pasteboard/cut-paste-formatting-tag.html (right): https://codereview.chromium.org/2229703004/diff/60001/third_party/WebKit/LayoutTests/editing/pasteboard/cut-paste-formatting-tag.html#newcode15 third_party/WebKit/LayoutTests/editing/pasteboard/cut-paste-formatting-tag.html:15: '<div contenteditable ...
1 year, 4 months ago (2016-08-10 21:31:32 UTC) #19
yosin_UTC9
lgtm w/ small stylish nits https://codereview.chromium.org/2229703004/diff/60001/third_party/WebKit/LayoutTests/editing/pasteboard/cut-paste-formatting-tag.html File third_party/WebKit/LayoutTests/editing/pasteboard/cut-paste-formatting-tag.html (right): https://codereview.chromium.org/2229703004/diff/60001/third_party/WebKit/LayoutTests/editing/pasteboard/cut-paste-formatting-tag.html#newcode10 third_party/WebKit/LayoutTests/editing/pasteboard/cut-paste-formatting-tag.html:10: var editor = selection.document.getElementById('editor'); ...
1 year, 4 months ago (2016-08-12 01:37:35 UTC) #22
joone
Thanks for review! https://codereview.chromium.org/2229703004/diff/60001/third_party/WebKit/LayoutTests/editing/pasteboard/cut-paste-formatting-tag.html File third_party/WebKit/LayoutTests/editing/pasteboard/cut-paste-formatting-tag.html (right): https://codereview.chromium.org/2229703004/diff/60001/third_party/WebKit/LayoutTests/editing/pasteboard/cut-paste-formatting-tag.html#newcode10 third_party/WebKit/LayoutTests/editing/pasteboard/cut-paste-formatting-tag.html:10: var editor = selection.document.getElementById('editor'); On 2016/08/12 ...
1 year, 4 months ago (2016-08-12 22:12:21 UTC) #25
joone
On 2016/08/12 22:12:21, joone wrote: > On 2016/08/12 01:37:35, Yosi_UTC9 wrote: > > Could you ...
1 year, 4 months ago (2016-08-12 22:13:45 UTC) #26
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2229703004/80001
1 year, 4 months ago (2016-08-13 06:44:09 UTC) #31
commit-bot: I haz the power
Committed patchset #4 (id:80001)
1 year, 4 months ago (2016-08-13 06:47:25 UTC) #33
commit-bot: I haz the power
1 year, 4 months ago (2016-08-13 06:49:01 UTC) #35
Message was sent while issue was closed.
Patchset 4 (id:??) landed as
https://crrev.com/f77d0eaedb2787483c147b973bcf7e7de82bf0f3
Cr-Commit-Position: refs/heads/master@{#411883}

Powered by Google App Engine
This is Rietveld 0eb02b776